
;
;   packtdef.inc
;
;   This file contains TI<->C and radio packet definitions
;
;   last modified: 03/14/2002 mmddyy 23:09 by Burkart
;


;===============================================
; Paketdefinitionen TI<->C
;===============================================

tiucpacket_uc_re_started:
	; C (re) started
	db 01h, 00h, 10h
	; no data attached

tiucpacket_ti_started:
	; TI started
	db 01h, 00h, 11h
	; no data attached

tiucpacket_uc_logged_in:
	; C logged in
	db 01h, 00h, 12h
	; no data attached

tiucpacket_uc_logging_in:
	; C logging in
	db 01h, 00h, 13h
	; no data attached

tiucpacket_ti_login_data:
	; TI login data
	db 09h, 00h, 14h
	; attached data:
	; 8 Byte Username

tiucpacket_ti_software_version:
	; TI software version
	db 04h, 00h, 15h
	; attached data:
	; 1 Byte Calc type, 82h for TI-82
	; 1 Byte Hi-Version
	; 1 Byte Lo-Version

tiucpacket_uc_software_version:
	; C software version
	db 05h, 00h, 16h
	; attached data:
	db UCTYPE; 1 Byte C type (51h: AT89C51)
	db SRAM  ; 1 Byte ext. SRAM size (32h: 32kB)
	db HI_VER; 1 Byte C software hi-version
	db LO_VER; 1 Byte C software lo-version

tiucpacket_ack:
	; TI/C ACK
	db 01h, 00h, 30h
	; no data attached

tiucpacket_ti_exit:
	; TI exit
	db 01h, 00h, 20h
	; no data attached

tiucpacket_uc_logged_out:
	; C logged out
	db 01h, 00h, 21h
	; no data attached

tiucpacket_ping:
	; TI/C ping
	db 01h, 00h, 60h
	; no data attached

tiucpacket_uc_rcvd_radio_packet:
	; C received radio packet
	db 01h, 00h, 51h
	; no data attached

tiucpacket_uc_rcvd_complete_radio_packet:
	; C received complete radio (multi-)packet
	db 04h, 00h, 52h
	; attached data:
	; 1 byte Content-ID
	; 1 word packet length

tiucpacket_ti_request_radio_packet:
	; TI request radio packet
	db 05h, 00h, 53h
	; attached data:
	; 1 Word offset
	; 1 Word length

tiucpacket_uc_send_radio_packet:
	; C send radio packet
	; 1 Word length (LSB first)
	; 1 Byte 54h
	; attached data:
	;        1 byte Content-ID
	; length-2 byte radio packet data

tiucpacket_ti_send_radio_packet:
	; TI send radio packet
	; 1 word length (LSB first)
	db 40h
	; attached data:
	;        1 byte Content-ID
	; length-2 byte radio packet data

tiucpacket_uc_sent_radio_packet:
	; C sent radio packet
	db 01h, 00h, 41h

;===============================================
; Paketdefinitionen radio
;===============================================

radiopacket_serverfreigabe:
radiopacket_anmeldefreigabe:
	; Anmeldefreigabe
	; (Serverfreigabe)
	db 00h		; recipient
	db 06h		; length
	db 06h		; content-ID
	db 01h		; sender
	db 01h		; multi-packet (packet count)
	db 42h		; checksum (method: CRC8)

radiopacket_anmeldebestaetigung:
	; Anmeldebesttigung
	db 0FFh	; recipient
	db 0Fh		; length
	db 07h		; Content-ID
	db 01h		; sender
	db 01h		; multi-packet (packet count)
	; attached data:
	; 8 byte username
	; 1 byte assigned address
	; 1 byte checksum (method: CRC8)

